LFR-FSW - Bug #978

Mauvais nombre de FFT retiré lors du filtrage PAS
14/03/2017 05:23 PM - bruno katra

Status: Closed Start date: 14/03/2017
Priority: Urgent Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Le requirement SSS dit :
SSS-CP-EQS-761

If SY_LFR_PAS_FILTER_ENABLED is set to enabled, the LFR flight software shall filter its
spectral matrixes according to:

0 The perturbation duration SY_LFR_PAS_FILTER_TBAD,

[l The modulus of the coarse time defining the perturbation instant
SY_LFR_PAS_FILTER_MODULUS,

[ The offset added for computing the perturbation instant SY_LFR_PAS_FILTER_OFFSET,

[ The time-shift relatively to the timecode occurrence identifying the perturbation start
SY_LFR_PAS_FILTER_SHIFT,

and by taking into account the maximum amount of non-perturbated data for FO, F1 and F2.

OR
il faudrait plutét lire :

and by taking into account the maximum amount of non-perturbated data for FO, F1 and F2 AND by removing the TOTAL
amount of pertubated data

Concretement cela se traduit par le test case SVS-1203 (voir pdf en PJ, section B, test SVS-1203):

une perturbation de 1s a 16Hz a cheval sur la 1ere seconde avec les parameétre par défaut fait que seul la moitié de la perturbation
est retirée.

Vu avec Thomas : il faudrait qu'une FFT soit retirée dés qu'elle contient des points pollués.

History

#1 - 14/03/2017 05:25 PM - bruno katra

- Description updated

#2 - 16/03/2017 08:37 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

correction effectuée pour fsw >= 3.2.0.3

#3 - 16/03/2017 10:51 AM - Veronique bouzid

- Assignee changed from Veronique bouzid to bruno katra

#4 - 17/03/2017 06:06 PM - bruno katra
- Status changed from Resolved to In Progress

- Assignee changed from bruno katra to paul leroy

Rejoué en 3.2.0.5 : cela semble mieux mais je ne peux pas valider exhaustivement a cause du bug des SHIFT non entier #988
https://hephaistos.lpp.polytechnique.fr/redmine/issues/988

#5 - 20/03/2017 11:22 AM - bruno katra

- Status changed from In Progress to Closed

résolu en fsw-355-c502a62ca98f

Test rejoué avec :

FSW 3.2.0.5-355-c502a62ca98f
VHDL 0.1.91

Mini-LFR AVEC Timegen
StarDundee

Analog discovery
